> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.simjuno.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.simjuno.com/_mcp/server.

# Transactions Relation

GET https://api.simjuno.com/v1/admin/transactions/{transactionId}/relations/{relation}

Get refunds, transaction_data, or purchases rows for a transaction

Reference: https://docs.simjuno.com/api-reference/admin/transactions-relation

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: SimJuno API
  version: 1.0.0
paths:
  /admin/transactions/{transactionId}/relations/{relation}:
    get:
      operationId: transactions-relation
      summary: Transactions Relation
      description: Get refunds, transaction_data, or purchases rows for a transaction
      tags:
        - admin
      parameters:
        - name: transactionId
          in: path
          required: true
          schema:
            type: string
            format: uuid
        - name: relation
          in: path
          required: true
          schema:
            $ref: >-
              #/components/schemas/AdminTransactionsTransactionIdRelationsRelationGetParametersRelation
        - name: x-api-key
          in: header
          description: API key generated from the dashboard (Settings → API Keys).
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/admin_transactionsRelation_Response_200'
        '400':
          description: Invalid input data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.BAD_REQUEST'
        '401':
          description: Authorization not provided
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.UNAUTHORIZED'
        '403':
          description: Insufficient access
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.FORBIDDEN'
        '404':
          description: Not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.NOT_FOUND'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.INTERNAL_SERVER_ERROR'
servers:
  - url: https://api.simjuno.com/v1
    description: https://api.simjuno.com/v1
components:
  schemas:
    AdminTransactionsTransactionIdRelationsRelationGetParametersRelation:
      type: string
      enum:
        - refunds
        - transaction_data
        - purchases
      title: AdminTransactionsTransactionIdRelationsRelationGetParametersRelation
    AdminTransactionsTransactionIdRelationsRelationGetResponsesContentApplicationJsonSchemaOneOf0RowsItemsRefundType:
      type: string
      enum:
        - to_balance
        - to_source
      title: >-
        AdminTransactionsTransactionIdRelationsRelationGetResponsesContentApplicationJsonSchemaOneOf0RowsItemsRefundType
    AdminTransactionsTransactionIdRelationsRelationGetResponsesContentApplicationJsonSchemaOneOf0RowsItemsStatus:
      type: string
      enum:
        - pending
        - succeeded
        - failed
      title: >-
        AdminTransactionsTransactionIdRelationsRelationGetResponsesContentApplicationJsonSchemaOneOf0RowsItemsStatus
    AdminTransactionsTransactionIdRelationsRelationGetResponsesContentApplicationJsonSchemaOneOf0RowsItems:
      type: object
      properties:
        id:
          type: string
          format: uuid
        transaction_id:
          type: string
          format: uuid
        refunded_by:
          type: string
        created_at:
          type: string
        refund_type:
          $ref: >-
            #/components/schemas/AdminTransactionsTransactionIdRelationsRelationGetResponsesContentApplicationJsonSchemaOneOf0RowsItemsRefundType
        status:
          $ref: >-
            #/components/schemas/AdminTransactionsTransactionIdRelationsRelationGetResponsesContentApplicationJsonSchemaOneOf0RowsItemsStatus
        provider_refund_id:
          type:
            - string
            - 'null'
        metadata:
          type:
            - object
            - 'null'
          additionalProperties:
            description: Any type
      required:
        - id
        - transaction_id
        - refunded_by
        - created_at
        - refund_type
        - status
        - provider_refund_id
        - metadata
      title: >-
        AdminTransactionsTransactionIdRelationsRelationGetResponsesContentApplicationJsonSchemaOneOf0RowsItems
    AdminTransactionsRelationResponse2000:
      type: object
      properties:
        relation:
          type: string
          enum:
            - refunds
        rows:
          type: array
          items:
            $ref: >-
              #/components/schemas/AdminTransactionsTransactionIdRelationsRelationGetResponsesContentApplicationJsonSchemaOneOf0RowsItems
      required:
        - relation
        - rows
      title: AdminTransactionsRelationResponse2000
    AdminTransactionsTransactionIdRelationsRelationGetResponsesContentApplicationJsonSchemaOneOf1RowsItems:
      type: object
      properties:
        id:
          type: string
          format: uuid
        transaction_id:
          type: string
          format: uuid
        response:
          type: string
        created_at:
          type: string
      required:
        - id
        - transaction_id
        - response
        - created_at
      title: >-
        AdminTransactionsTransactionIdRelationsRelationGetResponsesContentApplicationJsonSchemaOneOf1RowsItems
    AdminTransactionsRelationResponse2001:
      type: object
      properties:
        relation:
          type: string
          enum:
            - transaction_data
        rows:
          type: array
          items:
            $ref: >-
              #/components/schemas/AdminTransactionsTransactionIdRelationsRelationGetResponsesContentApplicationJsonSchemaOneOf1RowsItems
      required:
        - relation
        - rows
      title: AdminTransactionsRelationResponse2001
    AdminTransactionsTransactionIdRelationsRelationGetResponsesContentApplicationJsonSchemaOneOf2RowsItemsStatus:
      type: string
      enum:
        - pending
        - completed
        - failed
      title: >-
        AdminTransactionsTransactionIdRelationsRelationGetResponsesContentApplicationJsonSchemaOneOf2RowsItemsStatus
    AdminTransactionsTransactionIdRelationsRelationGetResponsesContentApplicationJsonSchemaOneOf2RowsItemsType:
      type: string
      enum:
        - topup
        - purchase
      title: >-
        AdminTransactionsTransactionIdRelationsRelationGetResponsesContentApplicationJsonSchemaOneOf2RowsItemsType
    AdminTransactionsTransactionIdRelationsRelationGetResponsesContentApplicationJsonSchemaOneOf2RowsItems:
      type: object
      properties:
        id:
          type: string
          format: uuid
        user_id:
          type: string
        esim_id:
          type: string
          format: uuid
        status:
          $ref: >-
            #/components/schemas/AdminTransactionsTransactionIdRelationsRelationGetResponsesContentApplicationJsonSchemaOneOf2RowsItemsStatus
        type:
          $ref: >-
            #/components/schemas/AdminTransactionsTransactionIdRelationsRelationGetResponsesContentApplicationJsonSchemaOneOf2RowsItemsType
        transaction_id:
          type: string
          format: uuid
        amount:
          type: number
          format: double
        created_at:
          type: string
      required:
        - id
        - user_id
        - esim_id
        - status
        - type
        - transaction_id
        - amount
        - created_at
      title: >-
        AdminTransactionsTransactionIdRelationsRelationGetResponsesContentApplicationJsonSchemaOneOf2RowsItems
    AdminTransactionsRelationResponse2002:
      type: object
      properties:
        relation:
          type: string
          enum:
            - purchases
        rows:
          type: array
          items:
            $ref: >-
              #/components/schemas/AdminTransactionsTransactionIdRelationsRelationGetResponsesContentApplicationJsonSchemaOneOf2RowsItems
      required:
        - relation
        - rows
      title: AdminTransactionsRelationResponse2002
    admin_transactionsRelation_Response_200:
      oneOf:
        - $ref: '#/components/schemas/AdminTransactionsRelationResponse2000'
        - $ref: '#/components/schemas/AdminTransactionsRelationResponse2001'
        - $ref: '#/components/schemas/AdminTransactionsRelationResponse2002'
      title: admin_transactionsRelation_Response_200
    ErrorBadRequestIssuesItems:
      type: object
      properties:
        message:
          type: string
      required:
        - message
      title: ErrorBadRequestIssuesItems
    error.BAD_REQUEST:
      type: object
      properties:
        message:
          type: string
          description: The error message
        code:
          type: string
          description: The error code
        issues:
          type: array
          items:
            $ref: '#/components/schemas/ErrorBadRequestIssuesItems'
          description: An array of issues that were responsible for the error
      required:
        - message
        - code
      description: The error information
      title: error.BAD_REQUEST
    ErrorUnauthorizedIssuesItems:
      type: object
      properties:
        message:
          type: string
      required:
        - message
      title: ErrorUnauthorizedIssuesItems
    error.UNAUTHORIZED:
      type: object
      properties:
        message:
          type: string
          description: The error message
        code:
          type: string
          description: The error code
        issues:
          type: array
          items:
            $ref: '#/components/schemas/ErrorUnauthorizedIssuesItems'
          description: An array of issues that were responsible for the error
      required:
        - message
        - code
      description: The error information
      title: error.UNAUTHORIZED
    ErrorForbiddenIssuesItems:
      type: object
      properties:
        message:
          type: string
      required:
        - message
      title: ErrorForbiddenIssuesItems
    error.FORBIDDEN:
      type: object
      properties:
        message:
          type: string
          description: The error message
        code:
          type: string
          description: The error code
        issues:
          type: array
          items:
            $ref: '#/components/schemas/ErrorForbiddenIssuesItems'
          description: An array of issues that were responsible for the error
      required:
        - message
        - code
      description: The error information
      title: error.FORBIDDEN
    ErrorNotFoundIssuesItems:
      type: object
      properties:
        message:
          type: string
      required:
        - message
      title: ErrorNotFoundIssuesItems
    error.NOT_FOUND:
      type: object
      properties:
        message:
          type: string
          description: The error message
        code:
          type: string
          description: The error code
        issues:
          type: array
          items:
            $ref: '#/components/schemas/ErrorNotFoundIssuesItems'
          description: An array of issues that were responsible for the error
      required:
        - message
        - code
      description: The error information
      title: error.NOT_FOUND
    ErrorInternalServerErrorIssuesItems:
      type: object
      properties:
        message:
          type: string
      required:
        - message
      title: ErrorInternalServerErrorIssuesItems
    error.INTERNAL_SERVER_ERROR:
      type: object
      properties:
        message:
          type: string
          description: The error message
        code:
          type: string
          description: The error code
        issues:
          type: array
          items:
            $ref: '#/components/schemas/ErrorInternalServerErrorIssuesItems'
          description: An array of issues that were responsible for the error
      required:
        - message
        - code
      description: The error information
      title: error.INTERNAL_SERVER_ERROR
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: API key generated from the dashboard (Settings → API Keys).

```

## Examples



**Response**

```json
{
  "relation": "string",
  "rows": [
    {
      "id": "string",
      "transaction_id": "string",
      "refunded_by": "string",
      "created_at": "string",
      "refund_type": "to_balance",
      "status": "pending",
      "provider_refund_id": "string",
      "metadata": {}
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://api.simjuno.com/v1/admin/transactions/transactionId/relations/refunds"

headers = {"x-api-key": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.simjuno.com/v1/admin/transactions/transactionId/relations/refunds';
const options = {method: 'GET', headers: {'x-api-key': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.simjuno.com/v1/admin/transactions/transactionId/relations/refunds"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("x-api-key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.simjuno.com/v1/admin/transactions/transactionId/relations/refunds")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.simjuno.com/v1/admin/transactions/transactionId/relations/refunds")
  .header("x-api-key", "<apiKey>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.simjuno.com/v1/admin/transactions/transactionId/relations/refunds', [
  'headers' => [
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.simjuno.com/v1/admin/transactions/transactionId/relations/refunds");
var request = new RestRequest(Method.GET);
request.AddHeader("x-api-key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["x-api-key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.simjuno.com/v1/admin/transactions/transactionId/relations/refunds")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```